<!DOCTYPE html>
<html lang="en" style="height: 100% ; overflow: hidden;">
<head>
<meta charset="UTF-8">
 <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Casa Tapioles</title>
<link rel="shortcut icon" type="image/png" href="src/icon.png" />
<link rel="stylesheet" href="src/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="src/css/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" href="src/css/style.css">
<script src="src/js/jquery.min.js"></script>


</head>
<body style="height: 100%; overflow: hidden;">
<?php
require("classeSessio.php");
$sessio = new Sessio();
$Nom = $sessio ->get("nom");
if(empty($Nom)) // mira si existeix un nom de sessió
{  
    header("Location: zonaPrivadaLogin.html");   // sinó, redireix a zonaPrivadaLogin.html
}
else{
  include 'connectarBD.php';
  if(isset($_POST['submit']))  // si s'ha clicat el botó
  {  
    // guarda els valors en variables 
    $preu1Alta = ($_POST['preu1Alta']);
    $preu1Baixa = ($_POST['preu1Baixa']); 
    $preu2Alta = ($_POST['preu2Alta']);
    $preu2Baixa = ($_POST['preu2Baixa']); 
    $preu3Alta = ($_POST['preu3Alta']);
    $preu3Baixa = ($_POST['preu3Baixa']);
    $preu4Alta = ($_POST['preu4Alta']);
    $preu4Baixa = ($_POST['preu4Baixa']);  
     
    // actualtiza les files de la taula, cada apartament per separat 
    $query = 'UPDATE apartament SET tempBaixa = '.$preu1Baixa.', tempAlta = '.$preu1Alta.' WHERE id=1';
    $resultat = $mysqli->query($query);

    $query = 'UPDATE apartament SET tempBaixa = '.$preu2Baixa.', tempAlta = '.$preu2Alta.' WHERE id=2';
    $resultat = $mysqli->query($query);

    $query = 'UPDATE apartament SET tempBaixa = '.$preu3Baixa.', tempAlta = '.$preu3Alta.' WHERE id=3';
    $resultat = $mysqli->query($query);

    $query = 'UPDATE apartament SET tempBaixa = '.$preu4Baixa.', tempAlta = '.$preu4Alta.' WHERE id=4';
    $resultat = $mysqli->query($query);
  }

// afaga els preus de la base de dades i els guarda, cada apartament per separat
  $query = 'SELECT tempBaixa, tempAlta FROM apartament WHERE id=1';
  $resultat = $mysqli->query($query);
  if($row = $resultat->FETCH_ASSOC()){
    $preu1Baixa = $row['tempBaixa'];
    $preu1Alta = $row['tempAlta'];
  }

  $query = 'SELECT tempBaixa, tempAlta FROM apartament WHERE id=2';
  $resultat = $mysqli->query($query);
  if($row = $resultat->FETCH_ASSOC()){
    $preu2Baixa = $row['tempBaixa'];
    $preu2Alta = $row['tempAlta'];
  }

  $query = 'SELECT tempBaixa, tempAlta FROM apartament WHERE id=3';
  $resultat = $mysqli->query($query);
  if($row = $resultat->FETCH_ASSOC()){
    $preu3Baixa = $row['tempBaixa'];
    $preu3Alta = $row['tempAlta'];
  }

  $query = 'SELECT tempBaixa, tempAlta FROM apartament WHERE id=4';
  $resultat = $mysqli->query($query);
  if($row = $resultat->FETCH_ASSOC()){
    $preu4Baixa = $row['tempBaixa'];
    $preu4Alta = $row['tempAlta'];
  }
}
?>

<header>
<div class="divtop2">
    <div class="user">
      <?php
      echo '<p>Hola '.$Nom.'</p>';  // carrega el nom de la sessió al text de benvinguda
      ?>
    </div>
    <div class="desconnectar">
      <a class="fa fa-power-off"  href="tancarSessio.php"> Desconnectar</a>
    </div>

</div>
<div class="topnav" id="myTopnav">
  
  <img src="src/logoPetit.png" alt="">

  <a href="zonaPrivadaCalendari.php" >Calendari</a>
  <a href="zonaPrivadaPreus.php" class="bold">Preus</a>
  
  
  <a href="javascript:void(0);" class="icon" onclick="myFunction()">
    <i class="fa fa-bars"></i>
  </a>

</div>
</header>

<div class="container allargat">
  <div class="fons allargat">
    <div class="preus">
    <h1> Preus </h1>
    <div class="preusEsquerra">
      <form action="" method="post">
      <table class="table">
        <thead>
            <tr>
              <th width="40%">Estança</th>
              <th width="30%">Temporada alta</th>
              <th width="30%">Temporada baixa</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td>Els Alous (4 <span class="fa fa-user"></span>)</td>
              <!-- imprimeix cada preu al seu input-->
               <td><input class="form-control" type="text" name="preu1Alta" value="<?PHP echo $preu1Alta ?>"></td>
              <td><input class="form-control" type="text" name="preu1Baixa" value="<?PHP echo $preu1Baixa ?>"></td>
            </tr>
            <tr>
              <td>Les Comelles (6 <span class="fa fa-user"></span>)</td>
              <td><input class="form-control" type="text" name="preu2Alta" value="<?PHP echo $preu2Alta ?>"></td>
              <td><input class="form-control" type="text" name="preu2Baixa" value="<?PHP echo $preu2Baixa ?>"></td>
            </tr>
            <tr>
              <td>Comasensor (10 <span class="fa fa-user"></span>)</td>
              <td><input class="form-control" type="text" name="preu3Alta" value="<?PHP echo $preu3Alta ?>"></td>
              <td><input class="form-control" type="text" name="preu3Baixa" value="<?PHP echo $preu3Baixa ?>"></td>
            </tr>
            <tr>
              <td>Casa completa (20 <span class="fa fa-user"></span>)</td>
              <td><input class="form-control" type="text" name="preu4Alta" value="<?PHP echo $preu4Alta ?>"></td>
              <td><input class="form-control" type="text" name="preu4Baixa" value="<?PHP echo $preu4Baixa ?>"></td>
            </tr>
          </tbody>
      </table>
       <div id="preuBoto">
          <button type="submit" name="submit" id="actualitzarPreus" class="botoBlau">Actualitzar</button>
        </div>
      </form>
      </div>
    </div>
  </div>
    
</div> 


<script>
// funció per fer el responsive amb l'hamburguesa
  function myFunction() {
    var x = document.getElementById("myTopnav");
    if (x.className === "topnav") {
        x.className += " responsive";
    } else {
        x.className = "topnav";
    }
  }
</script>

</body>
</html>