<?php
header('Access-Control-Allow-Origin: *'); 
header('Content-Type: application/json');

include 'connectarBD.php';

if (isset($_GET['accio']))
{
	$accio = $_GET['accio'];
} 
else
{
	$accio = 'llegir';
}
switch($accio){
	case 'agregar':
	// agafa totes les dades introduïdes
		$casaReserva = $_POST['casaReserva'];
		$dataInici = $_POST['dataInici'];
		$dataFi = $_POST['dataFi'];
		$numPersones = $_POST['numPersones'];
		$observacions = preg_replace("/'/", "\'", $_POST['observacions']);
		$dniPersonaReserva = $_POST['dniPersonaReserva'];
		$nomPersonaReserva = $_POST['nomPersonaReserva'];
		$cognomPersonaReserva = $_POST['cognomPersonaReserva'];
		$cognom2PersonaReserva = $_POST['cognom2PersonaReserva'];
		$emailPersonaReserva = $_POST['emailPersonaReserva'];
		$telefonPersonaReserva = $_POST['telefonPersonaReserva'];
		$localitatPersonaReserva = $_POST['localitatPersonaReserva'];

		$query = 'SELECT * FROM usuari WHERE usuari.dni = \''.$dniPersonaReserva.'\'';  // busca si hi ha un usuari amb aquest dni
		$resultat = $mysqli->query($query);
		if($row = $resultat->FETCH_ASSOC()){ // si ja existeix, el modifica
			$query='UPDATE `usuari` SET `telefon`=\''.$telefonPersonaReserva.'\',`email`=\''.$emailPersonaReserva.'\',`localitat`=\''.$localitatPersonaReserva.'\' WHERE dni = \''.$dniPersonaReserva.'\'';
			if ($mysqli->query($query) === TRUE) {
			   //echo "S'ha modificat la reserva";
			} else {
			    //echo "Error: " . $query . "<br>" . $mysqli->error;
			}
		}
		else // sino existeix, l'inserta a la bd
		{
			$query='INSERT INTO `usuari`(`dni`, `nom`, `cognom1`, `cognom2`, `telefon`, `email`, `localitat`) VALUES (\''.$dniPersonaReserva.'\',\''.$nomPersonaReserva.'\',\''.$cognomPersonaReserva.'\',\''.$cognom2PersonaReserva.'\',\''.$telefonPersonaReserva.'\',\''.$emailPersonaReserva.'\',\''.$localitatPersonaReserva.'\')';
			if ($mysqli->query($query) === TRUE) {
			    //echo "S'ha insertat l'usuari";
			} else {
			    //echo "Error: " . $query . "<br>" . $mysqli->error;
			}
		}
		
		// inserta les dades de la reserva a la bd
		$query = 'INSERT INTO `reserves`(`idApartament`, `dataInici`, `dataFi`, `numPersones`, `dniPersonaReserva`, `observacions`) VALUES (\''.$casaReserva.'\',\''.$dataInici.'\',\''.$dataFi.'\',\''.$numPersones.'\',\''.$dniPersonaReserva.'\',\''.$observacions.'\');';
		$resultat = $mysqli->query($query);
		echo json_encode($resultat); // si va bé, mostra un true i si va malament, un false
		
	break;

	case 'modificar':
	
	// agafa totes les dades introduïdes
		$numReserva = $_POST['numReserva'];
		$casaReserva = $_POST['casaReserva'];
		$dataInici = $_POST['dataInici'];
		$dataFi = $_POST['dataFi'];
		$numPersones = $_POST['numPersones'];
		$observacions = preg_replace("/'/", "\'", $_POST['observacions']);
		$dniPersonaReserva = $_POST['dniPersonaReserva'];
		$nomPersonaReserva = $_POST['nomPersonaReserva'];
		$cognomPersonaReserva = $_POST['cognomPersonaReserva'];
		$cognom2PersonaReserva = $_POST['cognom2PersonaReserva'];
		$emailPersonaReserva = $_POST['emailPersonaReserva'];
		$telefonPersonaReserva = $_POST['telefonPersonaReserva'];
		$localitatPersonaReserva = $_POST['localitatPersonaReserva'];
		
		// modifica l'usuari de la bd
		$query='UPDATE `usuari` SET `telefon`=\''.$telefonPersonaReserva.'\',`email`=\''.$emailPersonaReserva.'\',`localitat`=\''.$localitatPersonaReserva.'\' WHERE dni = \''.$dniPersonaReserva.'\'';
		$resultat = $mysqli->query($query);
		
		// modifica la reserva de la bd
		$query='UPDATE `reserves` SET `idApartament`=\''.$casaReserva.'\',`dataInici`=\''.$dataInici.'\',`dataFi`=\''.$dataFi.'\',`numPersones`=\''.$numPersones.'\',`dniPersonaReserva`=\''.$dniPersonaReserva.'\',`observacions`=\''.$observacions.'\' WHERE id='.$numReserva;
		$resultat = $mysqli->query($query);
		echo json_encode($resultat);
	break;

	case 'eliminar':
		$numReserva = $_POST['numReserva'];   // agafa el número de reserva
		$query = 'DELETE FROM reserves WHERE id ='.$numReserva;   // borra la reserva amb aquell id
		$resultat = $mysqli->query($query);
		echo json_encode($resultat);
	break;

	case 'llegir':  // llegeix les dades per poder mostrar tot el calendari i les envia al calendari
		$query = "SELECT r.id,
		a.nom AS title, 
		r.dataInici AS start, 
		r.dataFi as end, 
		r.idApartament AS casaReserva, 
		r.numPersones, 
		r.observacions, 
		r.dniPersonaReserva,
		u.nom AS nomPersonaReserva,
		u.cognom1 AS cognomPersonaReserva,
		u.cognom2 AS cognom2PersonaReserva,
		u.email AS emailPersonaReserva,
		u.telefon As telefonPersonaReserva,
		u.localitat AS localitatPersonaReserva,
		a.color 
		FROM reserves r 
		LEFT JOIN usuari u on r.dniPersonaReserva = u.dni 
		LEFT JOIN apartament a on a.id = r.idApartament";
		if($resultat = $mysqli->query($query)){
		     while($row = $resultat->FETCH_ASSOC()) {
		            $myArray[] = $row;
		    }
		    echo json_encode($myArray);
		 }
	break;

	case 'comprovarDisponiblitat':
		// afaga les dades introduïdes
		$casaReserva = $_POST['casaReserva'];
		$dataInici = $_POST['dataInici'];
		$dataFi = $_POST['dataFi'];
		
		$trobat = false;
		for($i=$dataInici;$i<=$dataFi;$i = date("Y-m-d", strtotime($i ."+ 1 days"))){  // recorre tots els dies que hem introduit
			$query= "SELECT id from reserves WHERE ((reserves.dataInici >= '$i' AND date_sub(reserves.DataFi, INTERVAL 1 DAY) < '$i')||reserves.dataInici = '$i' || date_sub(reserves.dataFi, INTERVAL 1 DAY)='$i')AND idApartament ='$casaReserva'";
			$resultat = $mysqli->query($query); // consulta a la bd dia per dia
			if($row = $resultat->FETCH_ASSOC()){
				$trobat = true;  // retorna true si està ocupat
				break;
			}
		}
		echo json_encode($trobat);
	break;
}

?>