function validaForm (novaReserva) {

	if (novaReserva.nomPersonaReserva == 0) { // si nom no està buit
        alert ("Cal escriure el nom");
		return false;
	}
	if (novaReserva.cognomPersonaReserva.length == 0) { // si cognom1 no està buit
        alert ("Cal escriure el primer cognom");
		return false;
	}
	if (novaReserva.cognom2PersonaReserva.length == 0) { // si cognom2 no està buit
        alert ("Cal escriure el segon cognom");
		return false;
	}
	if (novaReserva.dniPersonaReserva.length == 0 || validaNif(novaReserva.dniPersonaReserva)== false) { // si dni no està buit
	    alert ("Cal escriure correctament el dni");
		return false;
	}
	if (novaReserva.emailPersonaReserva.length == 0 || validarEmail (novaReserva.emailPersonaReserva)) { // si email no està buit i no té el format correcte
        alert ("Cal escriure correctament l'email personal");
		return false;
	}
	if (novaReserva.telefonPersonaReserva.length == 0 || esNumeric (novaReserva.telefonPersonaReserva) == false) { // si tel no està buit i no és un número
        alert ("Cal escriure correctament el telèfon");
		return false;
	}
	if (novaReserva.localitatPersonaReserva.length == 0) { // si poblacio no està buit
        alert ("Cal escriure la població");
		return false;
	}
	
	return true;
	
}
	 
	function validarEmail(email) {    // comprova que l'email introduït té un format correcte
		expr = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
		if ( !expr.test(email) ) {
			return true;
		}
		return false;
	}
	
	function validaNif(dni) {
    dni = dni.toUpperCase();
    // Basic format test
    if (!dni.match('((^[A-Z]{1}[0-9]{7}[A-Z0-9]{1}$|^[T]{1}[A-Z0-9]{8}$)|^[0-9]{8}[A-Z]{1}$)')) {
        return false;
    }
    // Test NIF
    if (/^[0-9]{8}[A-Z]{1}$/.test(dni)) {
        return ("TRWAGMYFPDXBNJZSQVHLCKE".charAt(dni.substring(8, 0) % 23) === dni.charAt(8));
    }
    // Test specials NIF (starts with K, L or M)
    if (/^[KLM]{1}/.test(dni)) {
        return (dni[8] === String.fromCharCode(64));
    }
    return false;
}
	
	function esNumeric (tel) { // comprova que aquest camp contingui dígits		
		if( !isNaN(tel) ) {
			return true;
		}
		return false;
	}
	
	
