-- phpMyAdmin SQL Dump
-- version 4.8.3
-- https://www.phpmyadmin.net/
--
-- Servidor: 127.0.0.1
-- Tiempo de generación: 03-01-2019 a las 11:08:30
-- Versión del servidor: 10.1.36-MariaDB
-- Versión de PHP: 7.2.10

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de datos: `tfg`
--

DELIMITER $$
--
-- Procedimientos
--
CREATE DEFINER=`root`@`localhost` PROCEDURE `DIAS_PERIODO` (IN `DESDE` DATE, IN `HASTA` DATE)  BEGIN
  DECLARE FIN INT DEFAULT 0;
  DECLARE DIA DATE;
  SET DIA = DESDE;
  CREATE TEMPORARY TABLE DIAS(FECHA DATE);
  CICLO1: REPEAT
  	INSERT INTO DIAS VALUES(DIA);
    SET DIA = ADDDATE(DIA, INTERVAL 1 DAY);
    
    
  UNTIL DIA = HASTA END REPEAT CICLO1;
  SELECT * FROM DIAS;
END$$

--
-- Funciones
--
CREATE DEFINER=`root`@`localhost` FUNCTION `CalcIncome` (`starting_value` INT) RETURNS INT(11) BEGIN

   DECLARE income INT;

   SET income = 0;

   label1: WHILE income <= 3000 DO
     SET income = income + starting_value;
   END WHILE label1;

   RETURN income;

END$$

DELIMITER ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `apartament`
--

CREATE TABLE `apartament` (
  `id` int(1) NOT NULL,
  `nom` varchar(20) COLLATE utf8_bin NOT NULL,
  `capacitat` int(2) NOT NULL,
  `color` varchar(10) COLLATE utf8_bin NOT NULL,
  `tempBaixa` int(4) NOT NULL,
  `tempAlta` int(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--
-- Volcado de datos para la tabla `apartament`
--

INSERT INTO `apartament` (`id`, `nom`, `capacitat`, `color`, `tempBaixa`, `tempAlta`) VALUES
(1, 'Els Alous', 4, '#ccccff', 150, 160),
(2, 'Les Comelles', 6, '#ff9999', 225, 240),
(3, 'Comasensor', 10, '#d9ffb3', 375, 400),
(4, 'Casa Completa', 20, '#0066ff', 750, 800);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `opinio`
--

CREATE TABLE `opinio` (
  `id` int(4) NOT NULL,
  `email` varchar(50) COLLATE utf8_bin NOT NULL,
  `nickname` varchar(20) COLLATE utf8_bin NOT NULL,
  `qualitat` int(1) NOT NULL,
  `situacio` int(1) NOT NULL,
  `tracte` int(1) NOT NULL,
  `instal` int(1) NOT NULL,
  `neteja` int(1) NOT NULL,
  `comentari` varchar(500) COLLATE utf8_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--
-- Volcado de datos para la tabla `opinio`
--

INSERT INTO `opinio` (`id`, `email`, `nickname`, `qualitat`, `situacio`, `tracte`, `instal`, `neteja`, `comentari`) VALUES
(1, 'ramon.cuscullola@gmail.com', 'Ramon', 1, 2, 3, 4, 5, 'Ha estat un cap de setmana fantastic envoltats per la natura en un lloc genial. El tracte ha estat fabulós i la casa es preciosa. '),
(2, 'persona1.cognom1@gmail.com', 'Pilar', 1, 1, 1, 1, 1, 'No ens agradat gens el lloc, les instalacions son una merda, el menjar que ens ha preparat la jefa de la casa era dolent, la piscina estava bruta, i als voltants de la casa feien pudor de granjes'),
(3, 'xavier.oliva@gmail.com', 'Xavier', 3, 3, 3, 3, 3, 'Ha estat força be'),
(4, 'pepito.palote@gmail.com', 'Pepito', 5, 4, 3, 2, 1, 'Comentari positiu'),
(5, 'laia@uoc.com', 'Laia', 5, 5, 4, 5, 4, 'Ha estat una festa molt bonica'),
(6, 'laiapi@uoc.com', 'Laia', 3, 5, 5, 3, 5, 'Ha fet molt fred però ha sigut molt bonic'),
(16, 'persona3@gmail.com', 'Ton', 5, 5, 5, 5, 5, 'Ha sigut una meravella passar aquests dies a Casa Tapioles. Un indret molt bonic amb molta calma. Els propietaris ens han fet sentir com a casa i hem carregat piles!');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `registre`
--

CREATE TABLE `registre` (
  `id` int(4) NOT NULL,
  `usuari` varchar(10) COLLATE utf8_bin NOT NULL,
  `contrasenya` varchar(100) COLLATE utf8_bin NOT NULL,
  `email` varchar(50) COLLATE utf8_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--
-- Volcado de datos para la tabla `registre`
--

INSERT INTO `registre` (`id`, `usuari`, `contrasenya`, `email`) VALUES
(1, 'Laia', '62f5cd37dc1912fe19e1e2a9409e922a', 'lmoreraol@uoc.edu');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `reserves`
--

CREATE TABLE `reserves` (
  `id` int(4) NOT NULL,
  `idApartament` int(1) NOT NULL,
  `dataInici` datetime NOT NULL,
  `dataFi` datetime NOT NULL,
  `numPersones` int(2) NOT NULL,
  `dniPersonaReserva` varchar(20) COLLATE utf8_bin NOT NULL,
  `observacions` varchar(500) COLLATE utf8_bin DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--
-- Volcado de datos para la tabla `reserves`
--

INSERT INTO `reserves` (`id`, `idApartament`, `dataInici`, `dataFi`, `numPersones`, `dniPersonaReserva`, `observacions`) VALUES
(1, 1, '2018-12-06 00:00:00', '2018-12-09 00:00:00', 6, '12345679A', 'Aquesta es la primera reserva1'),
(2, 3, '2018-12-17 00:00:00', '2018-12-18 00:00:00', 5, '12345679A', 'Reserva casa 3'),
(3, 2, '2018-12-20 00:00:00', '2018-12-21 00:00:00', 6, '12345689E', 'comentari 7'),
(4, 1, '2019-01-02 00:00:00', '2019-01-04 00:00:00', 10, '23456789B', ''),
(5, 3, '2018-12-06 00:00:00', '2018-12-09 00:00:00', 10, '23456789B', 'Aquesta es la primera reserva'),
(6, 1, '2018-12-13 00:00:00', '2018-12-15 00:00:00', 6, '12346789D', 'comentari 18'),
(7, 1, '2018-12-20 00:00:00', '2018-12-21 00:00:00', 6, '12345679A', 'No hi ha comentari'),
(8, 1, '2018-12-27 00:00:00', '2018-12-29 00:00:00', 4, '12345678U', 'Fem una festa'),
(34, 3, '2019-01-07 00:00:00', '2019-01-13 00:00:00', 9, '54496722T', 'Portarem motos per anar al circuit de Bassella d\'un amic'),
(35, 2, '2019-01-16 00:00:00', '2019-01-18 00:00:00', 5, '47895412M', 'Vindrem tard, cap a mitja nit.'),
(36, 3, '2019-02-12 00:00:00', '2019-02-16 00:00:00', 10, '53397644S', 'Venim tota la família i lloguem tota la casa'),
(37, 1, '2019-02-12 00:00:00', '2019-02-16 00:00:00', 4, '53397644S', 'Venim tota la família i lloguem tota la casa'),
(38, 2, '2019-02-12 00:00:00', '2019-02-16 00:00:00', 6, '53397644S', 'Venim tota la família i lloguem tota la casa'),
(40, 2, '2019-01-30 00:00:00', '2019-01-31 00:00:00', 2, '47856933L', 'Voldria un entorn romàntic. Ja ho pagaria a part.'),
(41, 1, '2019-01-19 00:00:00', '2019-01-20 00:00:00', 3, '47856592N', ''),
(43, 3, '2019-04-15 00:00:00', '2019-04-22 00:00:00', 9, '53396133T', '');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuari`
--

CREATE TABLE `usuari` (
  `dni` varchar(9) COLLATE utf8_bin NOT NULL,
  `nom` varchar(20) COLLATE utf8_bin NOT NULL,
  `cognom1` varchar(20) COLLATE utf8_bin NOT NULL,
  `cognom2` varchar(20) COLLATE utf8_bin NOT NULL,
  `telefon` int(9) NOT NULL,
  `email` varchar(50) COLLATE utf8_bin NOT NULL,
  `localitat` varchar(50) COLLATE utf8_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--
-- Volcado de datos para la tabla `usuari`
--

INSERT INTO `usuari` (`dni`, `nom`, `cognom1`, `cognom2`, `telefon`, `email`, `localitat`) VALUES
('12345678U', 'Laia', 'uoc', 'uoc2', 654789321, 'laia@uoc.com', 'Guissona'),
('12345679A', 'Persona1', 'Cognom1', '2nCognom1', 686321459, 'persona1.cognom1@gmail.com', 'Pamplona'),
('12345689E', 'Persona3', 'Cognom3', '2nCognom3', 123456789, 'persona3@gmail.com', 'Puigvert'),
('12346789D', 'Pepito', 'Palote', 'total', 698741359, 'pepito.palote@gmail.com', 'Preixens'),
('14785265P', 'Laia', 'Pi', 'Pi', 654781239, 'laiapi@uoc.com', 'Barcelona'),
('23456789B', 'Persona2', 'Cognom2', '2nCognom2', 687235741, 'persona2.cognom2@gmail.com', 'Agramunt'),
('444555666', 'Miquel', 'Martí', 'Pol', 666555444, 'mmp@gmail.com', 'Montblanc'),
('45645645U', 'Xavier', 'Oliva', 'Massana', 789456321, 'xavier.oliva@gmail.com', 'Sant climent'),
('47852369E', 'Eli', 'Pi', 'Natell', 974851233, 'pinatell@gmail.com', 'Tremp'),
('47856592N', 'Josefina', 'White', 'Parent', 639818273, 'josefina@white.com', 'Lleida'),
('47856933L', 'Pau', 'Tristany', 'Vall', 973475123, 'paupau@pau.com', 'Torà'),
('47895412M', 'Antonia', 'Llordés', 'Torró', 973559797, 'llordes_antonia@yahoo.es', 'Tarroja'),
('53396133T', 'Héctor', 'Vidal', 'Casserres', 678418356, 'hectorvidal@vidal.cat', 'Tremp'),
('53397644S', 'Carme', 'Molins', 'Pinyol', 649038077, 'carme_85@gmail.com', 'Sanaüja'),
('54496722T', 'Lluc', 'Larriña', 'Uriarte', 938640100, 'llucLarUri@hotmail.com', 'Santa Susana'),
('78097299V', 'Ramon', 'Cuscullola', 'Pi', 963852741, 'ramon.cuscullola@gmail.com', 'Agramunt'),
('78932145S', 'Manoli', 'Campo', 'Flores', 852369741, 'manoli.flores@gmail.com', 'Lleida'),
('78945613V', 'nom10', 'cognom10', 'cognom10', 789654321, 'nom10@gmail.com', 'Cervera'),
('78965459Z', 'pepi', 'pal', 'pal', 789456123, 'pepi.pal@gmail.com', 'Barcelona'),
('98456177Y', 'Farigola', 'Climent', 'Sarda', 369852147, 'joan.farigola@gmail.com', 'Tarragona');

--
-- Índices para tablas volcadas
--

--
-- Indices de la tabla `apartament`
--
ALTER TABLE `apartament`
  ADD PRIMARY KEY (`id`);

--
-- Indices de la tabla `opinio`
--
ALTER TABLE `opinio`
  ADD PRIMARY KEY (`id`);

--
-- Indices de la tabla `registre`
--
ALTER TABLE `registre`
  ADD PRIMARY KEY (`id`);

--
-- Indices de la tabla `reserves`
--
ALTER TABLE `reserves`
  ADD PRIMARY KEY (`id`);

--
-- Indices de la tabla `usuari`
--
ALTER TABLE `usuari`
  ADD PRIMARY KEY (`dni`);

--
-- AUTO_INCREMENT de las tablas volcadas
--

--
-- AUTO_INCREMENT de la tabla `opinio`
--
ALTER TABLE `opinio`
  MODIFY `id` int(4) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=17;

--
-- AUTO_INCREMENT de la tabla `registre`
--
ALTER TABLE `registre`
  MODIFY `id` int(4) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT de la tabla `reserves`
--
ALTER TABLE `reserves`
  MODIFY `id` int(4) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=44;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
